# ARBTimerQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBTimerQuery

    java.lang.Object
      org.lwjgl.opengl.ARBTimerQuery

    public final class ARBTimerQuery

extends java.lang.Object

Field Summary
`static int` `GL_TIME_ELAPSED` Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static int` `GL_TIMESTAMP` Accepted by the <target> parameter of GetQueryiv and QueryCounter.

Method Summary
`static void` `glGetQueryObject(int id, int pname, java.nio.LongBuffer params)`
`static long` `glGetQueryObjecti64(int id, int pname)` Overloads glGetQueryObjecti64v.
`static void` `glGetQueryObjectu(int id, int pname, java.nio.LongBuffer params)`
`static long` `glGetQueryObjectui64(int id, int pname)` Overloads glGetQueryObjectui64v.
`static void` `glQueryCounter(int id, int target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TIME_ELAPSED

    public static final int GL_TIME_ELAPSED

  Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

  See Also:
    Constant Field Values

### GL_TIMESTAMP

    public static final int GL_TIMESTAMP

  Accepted by the <target> parameter of GetQueryiv and QueryCounter. Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glQueryCounter

    public static void glQueryCounter(int id,
                                      int target)

### glGetQueryObject

    public static void glGetQueryObject(int id,
                                        int pname,
                                        java.nio.LongBuffer params)

### glGetQueryObjecti64

    public static long glGetQueryObjecti64(int id,
                                           int pname)

  Overloads glGetQueryObjecti64v.

### glGetQueryObjectu

    public static void glGetQueryObjectu(int id,
                                         int pname,
                                         java.nio.LongBuffer params)

### glGetQueryObjectui64

    public static long glGetQueryObjectui64(int id,
                                            int pname)

  Overloads glGetQueryObjectui64v.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.